Cloudera Labs
Provide feedback on Cloudera Labs

Unable to activate Apache Phoenix on CDH 5.4

Expert Contributor

I'm trying to activate the Apache Phoenix parcel on CDH 5.4 quickstart vm and I get this message:

 

 "Dependency not satisfied for release CLABS_PHOENIX(4.3.0-1.clabs_phoenix1.0.0.p0.78): CDH (at least 5.4)"

 

Is this expected to not work with the quickstart vm? Please let me know what are the options to evaluate Apache Phoenix with CDH.

 

Thanks!

5 REPLIES 5

Re: Unable to activate Apache Phoenix on CDH 5.4

Cloudera Employee

This is due to the fact that the VMs are installed using rpms, and the labs is a different format called parcels. 

We typically don't support mixed environments (rpms and parcels). I'll look into other ways to evaluate Apache Phoenix within the VM. 

Re: Unable to activate Apache Phoenix on CDH 5.4

Expert Contributor

Thanks for the info.. please do let me know of other alternatives for evaluating Apache Phoenix.

 

Thanks!

Re: Unable to activate Apache Phoenix on CDH 5.4

Explorer

Hello

 

I followed the installation guide to install Phoenix with my Quickstart VM 5.4

http://www.cloudera.com/content/cloudera/en/developers/home/cloudera-labs/apache-phoenix/install-apa...

 

1. As specified I am unable to activate.

 

I even tried it to do manually by

1. copying apache phoenix 4.3.0 server jar to my hbase/lib/ directory

2. restarted hbase

 

But i am unable to start my region server on restart after above two procedures.

Re: Unable to activate Apache Phoenix on CDH 5.4

Cloudera Employee

1. Yes, you are unable to active because of the explaination above. We don't allow a mixed deployment model (cannot install parcels and rpms on a cluster). 

The VMs are created using rpms to ensure that people with less resources on their machine are still able to test CDH components. 

 

With Cloudera Manager running, it requires more memory to run. We only build parcels for the labs products currently. 

To get it working, you would need to start Cloudera Manager (there's an icon on the VM desktop to do so), then download and deploy the CDH parcels to get it working. 

 

Re: Unable to activate Apache Phoenix on CDH 5.4

Explorer
Thankyou for you help 🙂

I even tried copying the phoenix-4.3.0-server.jar to /usr/lib/hbase/lib/
I restarted the Hbase Cluster.

But now my region server is not coming up at all.